Skip to main content
GET
/
company_token_transactions
List company token transactions
curl --request GET \
  --url https://api.whop.com/api/v1/company_token_transactions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.whop.com/api/v1/company_token_transactions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.whop.com/api/v1/company_token_transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "amount": 6.9,
      "company": {
        "id": "biz_xxxxxxxxxxxxxx",
        "route": "<string>",
        "title": "<string>"
      },
      "created_at": "2023-12-01T05:00:00.401Z",
      "description": "Reward for completing onboarding",
      "id": "<string>",
      "idempotency_key": "txn_reward_usr_123_2024",
      "linked_transaction_id": "<string>",
      "member": {
        "id": "<string>"
      },
      "user": {
        "id": "user_xxxxxxxxxxxxx",
        "name": "John Doe",
        "username": "johndoe42"
      }
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true,
    "start_cursor": "<string>"
  }
}
{
"error": {
"code": "parameter_missing",
"message": "Missing required parameter: amount.",
"param": "amount",
"type": "invalid_request_error"
}
}
{
"error": {
"message": "Invalid or missing API key",
"type": "unauthorized"
}
}
{
"error": {
"message": "You do not have permission to access this resource",
"type": "forbidden"
}
}
{
"error": {
"message": "Resource not found",
"type": "not_found"
}
}
{
"error": null
}
{
"error": null
}
{
"error": {
"message": "An unexpected error occurred",
"type": "internal_server_error"
}
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

company_id
string
required

The unique identifier of the company to list token transactions for.

Example:

"biz_xxxxxxxxxxxxxx"

user_id
string | null

Filter transactions to only those involving this specific user.

Example:

"user_xxxxxxxxxxxxx"

transaction_type
enum<string> | null

Filter transactions by type.

Available options:
add,
subtract,
transfer

Response

A successful response

The connection type for CompanyTokenTransaction.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.